Create Coupon
curl --request POST \
--url https://api.vellaro.io/api/v1/admin/coupons \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"code": "<string>",
"type": "percentage",
"discount": "0",
"min_order_total": "0",
"date_start": "2023-12-25",
"date_end": "2023-12-25",
"uses_total": 0,
"uses_per_customer": 0,
"requires_login": false,
"free_shipping": false,
"is_active": true
}
'import requests
url = "https://api.vellaro.io/api/v1/admin/coupons"
payload = {
"name": "<string>",
"code": "<string>",
"type": "percentage",
"discount": "0",
"min_order_total": "0",
"date_start": "2023-12-25",
"date_end": "2023-12-25",
"uses_total": 0,
"uses_per_customer": 0,
"requires_login": False,
"free_shipping": False,
"is_active": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
code: '<string>',
type: 'percentage',
discount: '0',
min_order_total: '0',
date_start: '2023-12-25',
date_end: '2023-12-25',
uses_total: 0,
uses_per_customer: 0,
requires_login: false,
free_shipping: false,
is_active: true
})
};
fetch('https://api.vellaro.io/api/v1/admin/coupons', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"name": "<string>",
"code": "<string>",
"type": "<string>",
"discount": 123,
"min_order_total": 123,
"date_start": "2023-12-25",
"date_end": "2023-12-25",
"uses_total": 123,
"uses_per_customer": 123,
"requires_login": true,
"free_shipping": true,
"is_active": true,
"created_at": "2023-11-07T05:31:56Z",
"usage_count": 0,
"total_savings": 0
},
"meta": {
"page": 123,
"page_size": 123,
"total": 123,
"total_pages": 123
},
"error": "<string>",
"error_code": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}admin
Create Coupon
Admin: create a new coupon.
POST
/
api
/
v1
/
admin
/
coupons
Create Coupon
Autorizzazioni
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Corpo
application/json
⌘I